[SOLVED] Missing library libQtNetwork.so.4

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
Hansl
Level 3
Level 3
Posts: 103
Joined: Fri Dec 09, 2011 3:50 pm

[SOLVED] Missing library libQtNetwork.so.4

Post by Hansl » Fri Oct 05, 2018 7:13 am

Another of the many little troubles installing LMDE3 and to get the previus setups running again… The nice little intranet LAN messenger BeeBeep is built using Qt4, needing several libs. http://beebeep.sourceforge.net/

On LMDE2 I did —

Code: Select all

apt install libqt4-dev libqt4-core libqt4-gui libqt4-xml libxcb-screensaver0 libavahi-compat-libdnssd1 libphonon4 libhunspell-dev phonon-backend-gstreamer
and it worked.

LMDE3 / Debian Stretch embraces Qt5, many of the above are not available any more. I tried —

Code: Select all

apt install libqt5core5a libqt5gui5 libqt5widgets5 libqt5network5 libqt5printsupport5 libqt5multimedia5 libqt5multimedia5-plugins libxcb-screensaver0 libavahi-compat-libdnssd1 libphonon4 libhunspell-dev phonon-backend-gstreamer

but it is not enough: BeeBeep complains about a missing libQtNetwork.so.4 (maybe more after that).
Funnily, I can't find libQtNetwork.so.4 even in the older Debian repos… where did I get it then?
And what do I do now? Certainly, I could copy it from my backups, but would that be safe?
Last edited by Hansl on Fri Oct 05, 2018 7:33 am, edited 1 time in total.

Monsta
Level 10
Level 10
Posts: 3013
Joined: Fri Aug 19, 2011 3:46 am

Re: Missing library libQtNetwork.so.4

Post by Monsta » Fri Oct 05, 2018 7:16 am

Looks like it's still available.

Code: Select all

$ apt-file search libQtNetwork.so.4
libqt4-network: /usr/lib/x86_64-linux-gnu/libQtNetwork.so.4
libqt4-network: /usr/lib/x86_64-linux-gnu/libQtNetwork.so.4.8
libqt4-network: /usr/lib/x86_64-linux-gnu/libQtNetwork.so.4.8.7

Hansl
Level 3
Level 3
Posts: 103
Joined: Fri Dec 09, 2011 3:50 pm

Re: Missing library libQtNetwork.so.4

Post by Hansl » Fri Oct 05, 2018 7:29 am

Ah, Monsta to the rescue again :D — thanks a lot! Didn't think of apt-file.

Code: Select all

apt install libqt4-network
did the trick, BeeBeep is now up and running.
Funnily, that search returns no results on another LMDE2 system although libqt4-network is installed there…

Monsta
Level 10
Level 10
Posts: 3013
Joined: Fri Aug 19, 2011 3:46 am

Re: [SOLVED] Missing library libQtNetwork.so.4

Post by Monsta » Fri Oct 05, 2018 7:44 am

I recall that in older versions you needed to update the file index first...

Code: Select all

sudo apt-file update
Also if you need to search only through the installed packages, Mint's apt script can do it too:

Code: Select all

$ apt contains libQtNetwork.so.4
libqt4-network:amd64: /usr/lib/x86_64-linux-gnu/libQtNetwork.so.4
libqt4-network:amd64: /usr/lib/x86_64-linux-gnu/libQtNetwork.so.4.8
libqt4-network:amd64: /usr/lib/x86_64-linux-gnu/libQtNetwork.so.4.8.7
It uses dpkg for that:

Code: Select all

$ apt help contains
"apt contains " is equivalent to "dpkg -S "
The difference is that apt-file searches in all packages, not only the installed ones.

Hansl
Level 3
Level 3
Posts: 103
Joined: Fri Dec 09, 2011 3:50 pm

Re: [SOLVED] Missing library libQtNetwork.so.4

Post by Hansl » Fri Oct 05, 2018 8:12 am

Yes, in LMDE2 an apt-file update was needed, I see now. Thanks again!

Post Reply

Return to “Software & Applications”